Skip to main content
POST
/
preauth
/
capture
Capture Pre-Authorization
curl --request POST \
  --url https://testapi.fractalpay.com/api/v1/preauth/capture \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "merchant_key": "{{merchant_key}}",
  "transaction_id": "563aef93-8e4a-4ea9-91a1-6b7b494d91ed"
}
'
{
  "data": {
    "transaction_id": "563aef93-8e4a-4ea9-91a1-6b7b494d91ed"
  },
  "message": "Payment captured successfully.",
  "result": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Fractal API credentials.

Username = Client ID Password = Secret Key

Sandbox credentials can be generated from the Test Portal.

Body

application/json
merchant_key
string
required

The merchant's unique key. Returned in the merchant_key field of the get merchants by client call.

Example:

"{{merchant_key}}"

transaction_id
string
required

Unique transaction ID. Returned in the transaction_id field of the Get Transactions (GET /merchant/transactions) response.

Example:

"563aef93-8e4a-4ea9-91a1-6b7b494d91ed"

Response

200 - application/json

Capture Pre-Authorization

data
object
message
string
Example:

"Payment captured successfully."

result
boolean
Example:

true